linux-ec2: 2.6.32-362.75 -proposed tracker

Bug #1281942 reported by Brad Figg on 2014-02-19
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Unassigned
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Stefan Bader
Prepare-package-meta
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Upload-to-ppa-dnu
Medium
Canonical Kernel Team
Verification-testing
Medium
Canonical Kernel Team
linux-ec2 (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 19. February 2014 07:41 UTC
kernel-stable-master-bug:1281797
kernel-stable-Certification-testing-end:Wednesday, 19. February 2014 17:04 UTC
kernel-stable-Prepare-package-end:Wednesday, 19. February 2014 18:04 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 19. February 2014 18:04 UTC
ppa-package-testing-start:Wednesday, 19. February 2014 19:04 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 19. February 2014 22:04 UTC
kernel-stable-Security-signoff-start:Wednesday, 19. February 2014 23:05 UTC
kernel-stable-Verification-testing-start:Wednesday, 19. February 2014 23:05 UTC
kernel-stable-Regression-testing-start:Wednesday, 19. February 2014 23:05 UTC
kernel-stable-Security-signoff-end:Wednesday, 26. February 2014 13:04 UTC
kernel-stable-Regression-testing-end:Tuesday, 04. March 2014 00:04 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 04. March 2014 15:03 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 05. March 2014 03:04 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 05. March 2014 04:05 UTC

This tracking bug was opened to be worked from linux-2.6.32-57.119 update (bug 1281797)

tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Lucid):
importance: Undecided → Medium
Adam Conrad (adconrad) on 2014-02-19
Changed in linux-ec2 (Ubuntu):
status: New → Invalid
Stefan Bader (smb) on 2014-02-19
summary: - linux-ec2: <version to be filled> -proposed tracker
+ linux-ec2: 2.6.32-362.75 -proposed tracker
Brad Figg (brad-figg) on 2014-02-19
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Brad Figg (brad-figg) on 2014-02-19
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2014-02-19
description: updated
Brad Figg (brad-figg) on 2014-02-19
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-02-26
description: updated
Para Siva (psivaa) on 2014-03-03
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-03-04
description: updated
Adam Conrad (adconrad) wrote :

No flavour-specific bugs to verify.

Brad Figg (brad-figg) on 2014-03-04
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.32-362.75

---------------
linux-ec2 (2.6.32-362.75) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * Rebased to Ubuntu-2.6.32-57.119
  * Release Tracking Bug
    - LP: #1281942

  [ Ubuntu: 2.6.32-57.119 ]

  * ubuntu: AUFS: fsnotify_open() now receives a file
    - LP: #1097680
    - CVE-2013-0160
  * KVM: Improve create VCPU parameter (CVE-2013-4587)
    - LP: #1261564
    - CVE-2013-4587
  * KVM: x86: Fix potential divide by 0 in lapic (CVE-2013-6367)
    - LP: #1261566
    - CVE-2013-6367
  * xfs: underflow bug in xfs_attrlist_by_handle()
    - LP: #1256091
    - CVE-2013-6382
  * aacraid: prevent invalid pointer dereference
    - LP: #1256083
    - CVE-2013-6380
  * wireless: radiotap: fix parsing buffer overrun
    - LP: #1260622
    - CVE-2013-7027
  * net: rework recvmsg handler msg_name and msg_namelen logic
    - LP: #1267081
    - CVE-2013-7266
  * net: rose: restore old recvmsg behavior
    - LP: #1267081
    - CVE-2013-7266
  * fsnotify: pass a file instead of an inode to open, read, and write
    - LP: #1097680
    - CVE-2013-0160
  * vfs: introduce FMODE_NONOTIFY
    - LP: #1097680
    - CVE-2013-0160
  * fanotify: FMODE_NONOTIFY and __O_SYNC in sparc conflict
    - LP: #1097680
    - CVE-2013-0160
  * TTY: do not update atime/mtime on read/write
    - LP: #1097680
    - CVE-2013-0160
  * TTY: fix atime/mtime regression
    - LP: #1097680
    - CVE-2013-0160
  * tty: fix up atime/mtime mess, take three
    - LP: #1097680
    - CVE-2013-0160
  * farsync: fix info leak in ioctl
    - LP: #1271442
    - CVE-2014-1444
  * wanxl: fix info leak in ioctl
    - LP: #1271444
    - CVE-2014-1445
  * hamradio/yam: fix info leak in ioctl
    - LP: #1271445
    - CVE-2014-1446
  * SELinux: Fix kernel BUG on empty security contexts.
    - CVE-2014-1874
  * exec/ptrace: fix get_dumpable() incorrect tests
    - LP: #1260610
    - CVE-2013-2929
 -- Stefan Bader <email address hidden> Wed, 19 Feb 2014 16:51:53 +0100

Changed in linux-ec2 (Ubuntu Lucid):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-03-05
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers